﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RobotRocket : MonoBehaviour {

	public GameObject rocketPrefab;
	public float frequency = 2f;
	public float coneAngle = 1.5f;

	private AudioSource audioManager;

	void Awake () {
		audioManager = GetComponent<AudioSource> ();
	}

	void Fire () {
		Quaternion coneRandomRotation = Quaternion.Euler (Random.Range(-coneAngle, coneAngle), 
			Random.Range(-coneAngle, coneAngle), 0f);
		Instantiate (rocketPrefab, transform.position, transform.rotation * coneRandomRotation);

		audioManager.Play ();
	}


} // class






























