﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyAI : MonoBehaviour {

	public MonoBehaviour behaviour_Movement;

	private Transform player;
	private bool chasingPlayer;

	private AudioSource audioManager;
	public AudioClip soundOnSpotted;

	void Awake () {
		player = GameObject.FindGameObjectWithTag ("Player").transform;
		audioManager = GetComponent<AudioSource> ();
	}

	void OnEnable() {
		behaviour_Movement.enabled = false;
	}

	void OnSpotted() {
		if (!behaviour_Movement.enabled) {
			behaviour_Movement.enabled = true;
		}

		audioManager.clip = soundOnSpotted;
		audioManager.Play ();

		chasingPlayer = true;
	}

	void OnLostTrack() {
		if (behaviour_Movement.enabled) {
			behaviour_Movement.enabled = false;
		}

		chasingPlayer = false;
	}

	public bool CanSeePlayer() {
		Vector3 playerDirection = player.position - transform.position;
		RaycastHit hit;
		Physics.Raycast (transform.position, playerDirection, out hit, playerDirection.magnitude);
		if (hit.collider && hit.collider.transform == player)
			return true;
		
		return false;
	}

	void OnTriggerEnter(Collider target) {
		if (target.tag == "Player" && !chasingPlayer) {
			OnSpotted ();
		}
	}
		
} // class





























