﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpiderGlowPlane : MonoBehaviour {

	private Transform playerTransform;
	private Vector3 pos;
	private Vector3 scale;

	public float minGlow = 0.1f;
	public float maxGlow = 0.75f;
	public Color glowColor = Color.red;

	[HideInInspector]
	public Renderer myRenderer;
	private Material mat;

	void Awake () {
		playerTransform = GameObject.FindGameObjectWithTag ("Player").transform;
		pos = transform.position;
		scale = transform.localScale;
		myRenderer = GetComponent<Renderer> ();
		mat = myRenderer.material;
		enabled = false;
	}

	void OnBecameVisible() {
		enabled = true;
	}

	void OnBecameInvisible() {
		enabled = false;
	}

	void Update () {
		Vector3 vec = pos - playerTransform.position;
		vec.y = 0f;
		float distance = vec.magnitude;
		transform.localScale = Vector3.Lerp (Vector3.one * minGlow, scale, 
			Mathf.Clamp01(distance * 0.35f));
		mat.SetColor ("_TintColor", glowColor * Mathf.Clamp(distance * 0.1f, minGlow, maxGlow));
	}


} // class
































