﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletScript : MonoBehaviour {

	public float speed = 50f;
	public float lifeTime = 0.5f;
	public float dist = 10000f;

	public LayerMask enemyMask;
	private float damageRadius = 0.3f;

	void Start () {
		Destroy (gameObject, lifeTime);
	}

	void Update () {
		MoveBullet ();

		Collider[] enemyHit = Physics.OverlapSphere (transform.position, damageRadius, enemyMask);
		if (enemyHit.Length > 0) {
			if (enemyHit [0].gameObject.tag == "SpiderEnemy") {
				enemyHit [0].gameObject.GetComponent<EnemyHealthScript> ().TakeDamage (10f);
			}

			if (enemyHit [0].gameObject.tag == "FlyingEnemy") {
				enemyHit [0].gameObject.GetComponent<FlyingEnemyHealthScript> ().TakeDamage (10f);
			}

			if (enemyHit [0].gameObject.tag == "Robot") {
				enemyHit [0].gameObject.GetComponent<EnemyHealthScript> ().TakeDamage (10f);
			}

			Destroy (gameObject);
		}

	}

	void MoveBullet() {
		Vector3 temp = transform.position;
		temp += transform.forward * speed * Time.deltaTime;
		transform.position = temp;
		dist -= speed * Time.deltaTime;
	}

} // class

























