﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WeaponFire : MonoBehaviour {

	public GameObject bulletPrefab;
	public Transform spawnPoint;
	public float frequency = 10f;
	public float cone_Angle = 1.5f;
	public float damage_Per_Second = 30f;
	public float force_PerSecond = 20f;
	public float hit_Sound_Volume = 0.25f;
	public GameObject muzzle_Flash_Point;

	private bool firing;

	private AudioSource audioManager;
	private float last_Fire_Time = -1f;

	void Awake () {
		audioManager = GetComponent<AudioSource> ();
		muzzle_Flash_Point.SetActive (false);
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetMouseButtonDown (0))
			OnStartFire ();

		if (Input.GetMouseButtonUp (0))
			OnEndFire ();


		if (firing) {
			if (Time.time > last_Fire_Time + 1f / frequency) {
				Quaternion coneRandomRotation = Quaternion.Euler (Random.Range (-cone_Angle, cone_Angle),
	                                Random.Range (-cone_Angle, cone_Angle), 0f);

				GameObject bullet = Instantiate (bulletPrefab, spawnPoint.position,
					                    spawnPoint.rotation * coneRandomRotation) as GameObject;

				last_Fire_Time = Time.time;

			}
		}

	}

	void OnStartFire() {
		firing = true;

		muzzle_Flash_Point.SetActive (true);

		if (!audioManager.isPlaying)
			audioManager.Play ();
	}

	void OnEndFire() {
		firing = false;

		muzzle_Flash_Point.SetActive (false);

		if (audioManager.isPlaying)
			audioManager.Stop ();
	}

} // class

































